import { Props as Props$1 } from 'react-select';

declare type ICustomTimezone = {
    [key: string]: string;
};
declare type ILabelStyle = 'original' | 'altName' | 'abbrev';
declare type ITimezoneOption = {
    value: string;
    label: string;
    abbrev?: string;
    altName?: string;
    offset?: number;
};
declare type ITimezone = ITimezoneOption | string;
declare type TimezoneSelectOptions = {
    labelStyle?: ILabelStyle;
    timezones?: ICustomTimezone;
    maxAbbrLength?: number;
};
declare type Props = Omit<Props$1<ITimezone, false>, 'onChange'> & TimezoneSelectOptions & {
    value: ITimezone;
    onChange?: (timezone: ITimezoneOption) => void;
};

declare const allTimezones: ICustomTimezone;

declare function useTimezoneSelect({ timezones, labelStyle, maxAbbrLength, }: TimezoneSelectOptions): {
    parseTimezone: (zone: ITimezone) => ITimezoneOption;
    options: ITimezoneOption[];
};
declare const TimezoneSelect: ({ value, onBlur, onChange, labelStyle, maxAbbrLength, timezones, ...props }: Props) => JSX.Element;

export { ILabelStyle, ITimezone, ITimezoneOption, Props, TimezoneSelectOptions, allTimezones, TimezoneSelect as default, useTimezoneSelect };
